Skip to main content
POST
/
api
/
audit-trail
/
param-schemas
Create Audit Param Schema
curl --request POST \
  --url https://api.example.com/api/audit-trail/param-schemas \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "key": "<string>",
  "label": "<string>",
  "enum_values": [
    "<string>"
  ],
  "required": false,
  "description": "<string>",
  "application_id": "<string>"
}
'
{
  "id": "<string>",
  "key": "<string>",
  "label": "<string>",
  "data_type": "<string>",
  "required": true,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "enum_values": [
    "<string>"
  ],
  "description": "<string>",
  "application_id": "<string>",
  "application": {
    "id": "<string>",
    "key": "<string>",
    "name": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "description": "<string>",
    "accent_color": "<string>",
    "param_count": 0
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-API-Key
string | null

Cookies

antidote_session
string | null

Body

application/json
key
string
required
Required string length: 1 - 64
Pattern: ^[a-z][a-z0-9_]*$
label
string
required
Required string length: 1 - 128
data_type
enum<string>
required
Available options:
string,
number,
boolean,
date,
enum
enum_values
string[] | null
required
boolean
default:false
description
string | null
Maximum string length: 512
application_id
string | null

Response

Successful Response

id
string
required
key
string
required
label
string
required
data_type
string
required
required
boolean
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
enum_values
string[] | null
description
string | null
application_id
string | null
application
AuditParamApplicationResponse · object